
QGIS Application - Bug report #8142

When deleting >1 column from a PostGIS layer one is always left over

2013-06-24 05:27 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16970

Description

Add a PostGIS layer table of attributes, toggle editing, click on "delete columns" and select >1 columns to remove.

After saving edits one of the columns will always show again.

works ok on 1.8

Works fine on shapes, didn't tested on SL because deleting columns is not allowed (should be?).

Associated revisions

Revision 4a37805a - 2013-06-29 06:30 PM - Jürgen Fischer

postgres provider: remove attribute in reverse order (fixes #8142)

History

#1 - 2013-06-24 09:17 AM - Paolo Cavallini

- Category set to Data Provider/PostGIS

#2 - 2013-06-29 01:43 AM - Jürgen Fischer

- Status changed from Open to Feedback

Always?  Not reproducable here.

#3 - 2013-06-29 02:25 AM - Giovanni Manghi

- File delete_col.mp4 added

Jürgen Fischer wrote:

Always?

yes, see attached screencast

#4 - 2013-06-29 09:31 AM - Jürgen Fischer
- Status changed from Feedback to Closed

Fixed in changeset commit:"4a37805a80392e2ec5c99ab7e1082ada7ff7c8cf".

Files

delete_col.mp4 2.46 MB 2013-06-29 Giovanni Manghi
